UI: floating action button


#1

Hi,
While I am using FAB as mentioned here https://github.com/bradmartin/nativescript-floatingactionbutton
I am getting the below error. Can anyone explain me why the error is coming !!

XML Code
<Page xmlns="http://schemas.nativescript.org/tns.xsd" xmlns:FAB="nativescript-floatingactionbutton" loaded="pageLoaded">
<StackLayout>
<FAB:fab tap="fabTap"
row="1"
icon="res://logo"
rippleColor="#f1f1f1"
class="fab-button" />
</StackLayout>
</Page>

CSS

.fab-button {
height: 70;
width: 70;
margin: 15;
background-color: #ff4081;
vertical-align: bottom;
}

package.json

{
“description”: “NativeScript Application”,
“license”: "SEE LICENSE IN ",
“readme”: “NativeScript Application”,
“repository”: “”,
“nativescript”: {
“id”: “org.nativescript.src”,
“tns-ios”: {
“version”: “3.1.0”
},
“tns-android”: {
“version”: “3.1.1”
}
},
“dependencies”: {
“nativescript-carousel”: “^3.1.0”,
“nativescript-drop-down”: “^3.1.1”,
“nativescript-floatingactionbutton”: “^3.0.1”,
“nativescript-geolocation”: “^3.0.1”,
“nativescript-materialdropdownlist”: “^1.0.15”,
“nativescript-phone”: “^1.3.1”,
“nativescript-social-share”: “^1.4.0”,
“nativescript-theme-core”: “~1.0.2”,
“tns-core-modules”: “^3.2.0-2017-7-20-1”,
“tns-i18n”: “0.0.9”
},
“devDependencies”: {
“babel-traverse”: “6.4.5”,
“babel-types”: “6.4.5”,
“babylon”: “6.4.5”,
“lazy”: “1.0.11”
}
}
Thanks


#2

Take Al look at this GitHub issue: https://github.com/bradmartin/nativescript-cardview/issues/64

While that is @bradwaynemartin cardview repository the issue is the same. Something was changed on the tnscore between 3.1 and 3.1.1 that broke the background color usage in both.